Skip to main content
POST
/
v2
/
app-instances
/
{app_instance_id}
/
labels
/
{label_id}
Add Label To App Instance
curl --request POST \
  --url https://public.api.serval.com/v2/app-instances/{app_instance_id}/labels/{label_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "customServiceId": "<string>",
    "service": "<string>",
    "id": "<string>",
    "teamId": "<string>",
    "externalServiceInstanceId": "<string>",
    "name": "<string>",
    "accessRequestsEnabled": true,
    "defaultAccessPolicyId": "<string>",
    "customServiceName": "<string>",
    "labelIds": [
      "<string>"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.serval.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

app_instance_id
string
required

The ID of the app instance.

label_id
string
required

The ID of the label to attach.

Response

Success

data
data · object

The updated app instance.